DCMTK: IODPatientStudyModule Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Static Private Attributes | List of all members
IODPatientStudyModule Class Reference

Class representing the Patient Study Module: More...

Inheritance diagram for IODPatientStudyModule:

## Public Member Functions
| IODPatientStudyModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODPatientStudyModule ()
| Constructor.
virtual | ~IODPatientStudyModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module ("PatientStudyModule")
virtual OFCondition | getAdmittingDiagnosesDescription (OFString &value, const signed long pos=0) const
| Get Admitting Diagnoses Description.
virtual OFCondition | getPatientAge (OFString &value, const signed long pos=0) const
| Get Patient's Age (string as defined by VR "AS", see DICOM part 5)
virtual OFCondition | getPatientWeight (Float64 &value, const unsigned long pos=0) const
| Get Patient's Weight (in kilograms)
virtual OFCondition | getPatientSize (Float64 &value, const unsigned long pos=0) const
| Get Patient's Size (in meters)
virtual OFCondition | setAdmittingDiagnosesDescription (const OFString &value, const OFBool checkValue=OFTrue)
| Set Admitting Diagnoses Description.
virtual OFCondition | setPatientAge (const OFString &value, const OFBool checkValue=OFTrue)
| Set Patient's Age (formatted as defined by VR "AS", see part 5 of the standard)
virtual OFCondition | setPatientSize (const OFString &value, const OFBool checkValue=OFTrue)
| Set Patient's Size (in meters)
virtual OFCondition | setPatientWeight (const OFString &value, const OFBool checkValue=OFTrue)
| Set Patient's Weight (in kilograms)
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor.
| IODModule ()
| Constructor.
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy.
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy.
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor.
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch.
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set.
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set.
virtual | ~IODComponent ()
| Virtual Destructor.
void | clearData ()
| Clear all attributes from the data that are handled by this module.
virtual void | inventMissing ()
| Set missing values by inventing "default values".
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module.
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3.
DcmItem & | getData ()
| Get the data handled by this module.
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class.
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item.
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules.
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components.
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing.
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e.

## Static Private Attributes
static const OFString | m_ModuleName
| The name of this module ("PatientStudyModule")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name.
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name.
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class.
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e.

## Detailed Description

Class representing the Patient Study Module:

Admitting Diagnoses Description: (LO, 1-n, 3) Patient's Age: (AS, 1, 3) Patient's Size: (DS, 1, 3) Patient's Weight: (DS,1, 3)

## Constructor & Destructor Documentation

## ◆ IODPatientStudyModule()

IODPatientStudyModule::IODPatientStudyModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules )

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ◆ getAdmittingDiagnosesDescription()

virtual OFCondition IODPatientStudyModule::getAdmittingDiagnosesDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Admitting Diagnoses Description.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODPatientStudyModule::getName | ( |  | ) | const
| virtual

Get name of module ("PatientStudyModule")

Returns
  Name of the module ("PatientStudyModule")

Implements IODComponent.

## ◆ getPatientAge()

virtual OFCondition IODPatientStudyModule::getPatientAge | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

Get Patient's Age (string as defined by VR "AS", see DICOM part 5)

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPatientSize()

virtual OFCondition IODPatientStudyModule::getPatientSize | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

Get Patient's Size (in meters)

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPatientWeight()

virtual OFCondition IODPatientStudyModule::getPatientWeight | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

Get Patient's Weight (in kilograms)

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setAdmittingDiagnosesDescription()

virtual OFCondition IODPatientStudyModule::setAdmittingDiagnosesDescription | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Admitting Diagnoses Description.

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPatientAge()

virtual OFCondition IODPatientStudyModule::setPatientAge | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Patient's Age (formatted as defined by VR "AS", see part 5 of the standard)

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (AS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPatientSize()

virtual OFCondition IODPatientStudyModule::setPatientSize | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Patient's Size (in meters)

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPatientWeight()

virtual OFCondition IODPatientStudyModule::setPatientWeight | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Patient's Weight (in kilograms)

Parameters

  value | Value to be set (single value only) or "" for no value
  checkValue | Check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modpatientstudy.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2